"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const index$1 = require("../ContentBox/index.vue.js");
const index = require("./components/ChartsOptionContent/index.vue.js");
const useAside_hook = require("./hooks/useAside.hook.js");
const reactivity_esmBundler = require("../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const runtimeCore_esmBundler = require("../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const runtimeDom_esmBundler = require("../../../../node_modules/.pnpm/@vue_runtime-dom@3.3.4/node_modules/@vue/runtime-dom/dist/runtime-dom.esm-bundler.js");
const shared_esmBundler = require("../../../../node_modules/.pnpm/@vue_shared@3.3.4/node_modules/@vue/shared/dist/shared.esm-bundler.js");
const _hoisted_1 = { class: "menu-width-box" };
const _hoisted_2 = { class: "menu-component-box" };
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  setup(__props) {
    runtimeDom_esmBundler.useCssVars((_ctx) => ({
      "54e51da8": reactivity_esmBundler.unref(themeColor)
    }));
    const { getCharts, BarChartIcon, themeColor, selectOptions, selectValue, clickItemHandle, menuOptions } = useAside_hook.useAsideHook();
    return (_ctx, _cache) => {
      const _component_n_icon = runtimeCore_esmBundler.resolveComponent("n-icon");
      const _component_n_menu = runtimeCore_esmBundler.resolveComponent("n-menu");
      const _component_go_skeleton = runtimeCore_esmBundler.resolveComponent("go-skeleton");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(index$1.default), {
        class: shared_esmBundler.normalizeClass(["go-content-charts", { scoped: !reactivity_esmBundler.unref(getCharts) }]),
        title: "组件",
        depth: 1,
        backIcon: false
      }, {
        icon: runtimeCore_esmBundler.withCtx(() => [
          runtimeCore_esmBundler.createVNode(_component_n_icon, {
            size: "14",
            depth: 2
          }, {
            default: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(BarChartIcon))
            ]),
            _: 1
          })
        ]),
        default: runtimeCore_esmBundler.withCtx(() => [
          runtimeCore_esmBundler.createElementVNode("aside", null, [
            runtimeCore_esmBundler.createElementVNode("div", _hoisted_1, [
              runtimeCore_esmBundler.createVNode(_component_n_menu, {
                class: "menu-width",
                value: reactivity_esmBundler.unref(selectValue),
                "onUpdate:value": [
                  _cache[0] || (_cache[0] = ($event) => reactivity_esmBundler.isRef(selectValue) ? selectValue.value = $event : null),
                  reactivity_esmBundler.unref(clickItemHandle)
                ],
                options: reactivity_esmBundler.unref(menuOptions),
                "icon-size": 16,
                indent: 18
              }, null, 8, ["value", "options", "onUpdate:value"]),
              runtimeCore_esmBundler.createElementVNode("div", _hoisted_2, [
                runtimeCore_esmBundler.createVNode(_component_go_skeleton, {
                  load: !reactivity_esmBundler.unref(selectOptions),
                  round: "",
                  text: "",
                  repeat: 2,
                  style: { "width": "90%" }
                }, null, 8, ["load"]),
                reactivity_esmBundler.unref(selectOptions) ? (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(index.default), {
                  selectOptions: reactivity_esmBundler.unref(selectOptions),
                  key: reactivity_esmBundler.unref(selectValue)
                }, null, 8, ["selectOptions"])) : runtimeCore_esmBundler.createCommentVNode("", true)
              ])
            ])
          ])
        ]),
        _: 1
      }, 8, ["class"]);
    };
  }
});
exports.default = _sfc_main;
